Memos

List Spaces

ListSpaces lists the spaces of which the authenticated caller is a member.

GET
/api/spaces

Query Parameters

pageSize?integer

Optional. The maximum number of spaces to return. The service may return fewer.

Formatint32
pageToken?string

Optional. A page token from a previous call. Provide it to retrieve the next page.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/spaces"
{  "spaces": [    {      "name": "string",      "title": "string",      "description": "string",      "icon": {        "emoji": "string",        "lucide": "string"      },      "currentUserRole": "ROLE_UNSPECIFIED",      "memberCount": 0    }  ],  "nextPageToken": "string"}